#ifndef D_STRUCTURE_H
#define D_STRUCTURE_H


//--------------------------------------------------------------------------
/* +
 *  
 *
 *  ChessTerminator75
 *   21.07.2007
*/
//--------------------------------------------------------------------------

//    char signed: -128 to 127
//---------------------------------------------------------------------------
//    1201 + 6
struct T_list_surplus_moves {
////////////////////////////////////////////////////////////////////////////
//     :  :  , ,    
//    ,  .

//  : 0 - ,1 -  2 -  3 -  4 -  5 -  6 -  
short int name_figure[300];

//   (  )
short int  initial_position[300]; 

//   (  )
short int  final_position[300];

//     0,  1,    2,  3,
//    4,   5,   6,   7,
//      8,     9,
//      10,     11,
short int  description_move[300];

//    
short int  amount_moves;
////////////////////////////////////////////////////////////////////////////

//          

//    0 - ,1 -  2 -  3 -  4 -  5 -  6 -  
short int  name_taking_figure;
//      1/0
short int  return_taking_passage;
//      
short int  return_castling_Q;
//      
short int  return_castling_K;
//      
short int  return_castling_q;
//      
short int  return_castling_k;

};//struct T_list_surplus_moves {

//---------------------------------------------------------------------------
//   :
//  0  1  2  3  4  5  6  7   8  9  10 11 12 13 14 15 
//  16 17 18 19 20 21 22 23  24 25 26 27 28 29 30 31 
//  32 33 34 35 36 37 38 39  40 41 42 43 44 45 46 47 
//  48 49 50 51 52 53 54 55  56 57 58 59 60 61 62 63 
//  64 65 66 67 68 69 70 71  72 73 74 75 76 77 78 79 
//  80 81 82 83 84 85 86 87  88 89 90 91 92 93 94 95 
//  96 97 98 99 00 01 02 03  04 05 06 07 08 09 10 11 
//  12 13 14 15 16 17 18 19  20 21 22 23 24 25 26 27 
// 8  16 = 128
// x = 0..7 n&15  n/16
// y = 0..7 n>>4  n%16
// n = y*16 + x

//     8  16
struct T_board_list_816 {
//   0 -  1 -  2 - 
short int  colour_move;
//    0 - , 1 - , 2 - , 3 - , 4 - , 5 - , 6 - 
short int  name_figure_816[128];
//    0 - , 1 - , 2 - , 3 -    
short int  colour_figure_816[128];

//     1/0
short int  taking_passage_yes;
//    (  ) 
short int  taking_passage_x;
//    (     ) 
short int  taking_passage_y;
//     
short int  castling_Q;
//     
short int  castling_K;
//     
short int  castling_q;
//     
short int  castling_k;
};//struct T_board_list_816 {


//---------------------------------------------------------------------------
//  
struct T_PV {
//   (  )
short int  initial_position[25]; 
//   (  )
short int  final_position[25];
//    0 -  2 -  3 -  4 -  5 -  
short int  final_pawn[25];
//  
int score_move;
//  
short int  Depth_Max;
};//struct T_PV {
//---------------------------------------------------------------------------

#endif // !defined D_STRUCTURE_H



