#include "d_Rules_816.h"
//-----------------------------------------------------------------------------------
/* ++
 *      
 *
 *  ChessTerminator75
 *   21.07.2007
 *
 *  
 *   
 *     d_Surplus_moves
 *         
 * (       .          )
*/

//---------------------------------------------------------------------------

//	===================================================================
//       8  16 
// 0- , 1-, 2-, 3-, 4-, 5-, 6-
//  : name- ,n- ,board_816-,list_surplus_moves-  
void Rules_816(short int name,short int n,T_board_list_816 board_list_816,T_list_surplus_moves * list_surplus_moves){

 switch (name){

   case 0 :
   // 
   break;

   case 1 : //
     Pawn_816(n,board_list_816,list_surplus_moves);
   break;

   case 2 : //
     Rook_816(n,board_list_816,list_surplus_moves);
   break;

   case 3 : //
     Knight_816(n,board_list_816,list_surplus_moves);
   break;

   case 4 : //
     Bishop_816(n,board_list_816,list_surplus_moves);
   break;

   case 5 : //
     Queen_816(n,board_list_816,list_surplus_moves);
   break;

   case 6 : //
     King_816(n,board_list_816,list_surplus_moves);
   break;

   default:;//   
   
 }// switch (name){
}//Rules_816(int name,int n,int board_816[],T_list_surplus_moves list_surplus_moves){

//	*******************************************************************

//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
//********************************************************************
//   Rook_816 Knight_816 Bishop_816 Queen_816             *
//      board_list_816.colour_figure_816[] *
//********************************************************************

//	===================================================================T
//     
//    
 void Rook_816(short int n,T_board_list_816 board_list_816,T_list_surplus_moves * list_surplus_moves){
short int n_1;
//   -16    |     + 1    -> 
//   + 16    |     - 1     <-
short int dR[]={-16,1,16,-1};
short int p = list_surplus_moves->amount_moves; 

//    ..   
for (int i=0; i<4;i++){
  n_1 = n + dR[i];
//   --------------------------------------------------
//        ,      
  while ((!(n_1 & 0x88))&&(board_list_816.colour_figure_816[n]!=board_list_816.colour_figure_816[n_1])){
     list_surplus_moves->name_figure[p]=2 ;
	 list_surplus_moves->initial_position[p] = n;
	 list_surplus_moves->final_position[p] = n_1;
 
	 if (board_list_816.colour_figure_816[n_1]==0){
       list_surplus_moves->description_move[p] =0;
       p=p+1;
	 }else{
	   list_surplus_moves->description_move[p] =1;
       p=p+1;
	   break;//     
	 }//if (board_list_816.colour_figure_816[n_1]!=0){ 
     n_1 = n_1 + dR[i];
  }//while (!(n_1 & 0*88)&&(board_list_816.colour_figure_816[n]!=board_list_816.colour_figure_816[n_1])){
//-----------------------------------------------------------------
}//for (int i=0; i<4;i++){
//    (     + )
//    20    20   21 ..   
list_surplus_moves->amount_moves=p;
 }//Rook_816(int n,int board_list_816.colour_figure_816[],T_list_surplus_moves list_surplus_moves){
//	*******************************************************************

//	===================================================================
//     
//    
 void  Bishop_816(short int n,T_board_list_816 board_list_816,T_list_surplus_moves * list_surplus_moves){
short int n_1;
//   -15       + 17   
//   + 15        -17   
short int dB[]={-15,17,15,-17};
short int p = list_surplus_moves->amount_moves; 

for (int i=0; i<4;i++){
  n_1 = n + dB[i];
//        ,      ,
  while ((!(n_1 & 0x88))&&(board_list_816.colour_figure_816[n]!=board_list_816.colour_figure_816[n_1])){
     list_surplus_moves->name_figure[p]=4 ;
	 list_surplus_moves->initial_position[p] = n;
	 list_surplus_moves->final_position[p] = n_1;
 
	 if (board_list_816.colour_figure_816[n_1]==0){
       list_surplus_moves->description_move[p] =0;
       p=p+1;
	 }else{
	   list_surplus_moves->description_move[p] =1;
       p=p+1;
	   break;//     
	 }//if (board_list_816.colour_figure_816[n_1]!=0){ 
     n_1 = n_1 + dB[i];
  }//while (!(n_1 & 0*88)&&(board_list_816.colour_figure_816[n]!=board_list_816.colour_figure_816[n_1])){
}//for (i=1; i<5;i++){
list_surplus_moves->amount_moves=p;

}//Bishop_816(int n,int board_list_816.colour_figure_816[],T_list_surplus_moves * list_surplus_moves){
//	*******************************************************************

//	===================================================================
//      
//    
 void  Queen_816(short int n,T_board_list_816 board_list_816,T_list_surplus_moves * list_surplus_moves){
  char  n_1;
//   -16    |       -15    
//   + 1    ->   + 17   
//   + 16    |       + 15   
//   - 1     <-   -17   

short int dQ[]={-16,-15,1,17,16,15,-1,-17};
short int p = list_surplus_moves->amount_moves; 

for (int i=0; i<8;i++){
  n_1 = n + dQ[i];
//        ,      ,
  while ((!(n_1 & 0x88))&&(board_list_816.colour_figure_816[n]!=board_list_816.colour_figure_816[n_1])){
     list_surplus_moves->name_figure[p]=5 ;
	 list_surplus_moves->initial_position[p] = n;
	 list_surplus_moves->final_position[p] = n_1;
 
	 if (board_list_816.colour_figure_816[n_1]==0){
       list_surplus_moves->description_move[p] =0;
       p=p+1;
	 }else{
	   list_surplus_moves->description_move[p] =1;
       p=p+1;
	   break;//     
	 }//if (board_list_816.colour_figure_816[n_1]!=0){ 
     n_1 = n_1 + dQ[i];
  }//while (!(n_1 & 0*88)&&(board_list_816.colour_figure_816[n]!=board_list_816.colour_figure_816[n_1])){
}//for (i=1; i<5;i++){
list_surplus_moves->amount_moves=p;

}//void  Queen_816(int n,int board_list_816.colour_figure_816[],T_list_surplus_moves * list_surplus_moves){
//	*******************************************************************

//	===================================================================
//      
//    
void  Knight_816(short int n,T_board_list_816 board_list_816,T_list_surplus_moves * list_surplus_moves){
short int n_1;

//   - 33   2  1     - 31   2  1
//   - 14   2  1    + 18   2  1
//   + 33   2  1     + 31   2  1 
//   + 14   2  1      - 18   2  1

short int dK[]={-33,-31,-14,18,33,31,14,-18};
short int p = list_surplus_moves->amount_moves; 

for (int i=0; i<8;i++){
  n_1 = n + dK[i];
//        ,      ,
  if ((!(n_1 & 0x88))&&(board_list_816.colour_figure_816[n]!=board_list_816.colour_figure_816[n_1])){
     list_surplus_moves->name_figure[p]=3 ;
	 list_surplus_moves->initial_position[p] = n;
	 list_surplus_moves->final_position[p] = n_1;
 
	 if (board_list_816.colour_figure_816[n_1]==0){
       list_surplus_moves->description_move[p] =0;
       p=p+1;
	 }else{
	   list_surplus_moves->description_move[p] =1;
       p=p+1;
	 }//if (board_list_816.colour_figure_816[n_1]!=0){ 
  }//if ((!(n_1 & 0x88))&&(board_list_816.colour_figure_816[n]!=board_list_816.colour_figure_816[n_1])){
}//for (i=1; i<5;i++){
list_surplus_moves->amount_moves=p;


}//void  Knight_816(int n,T_board_list_816 board_list_816,T_list_surplus_moves * list_surplus_moves){
//	*******************************************************************

//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
//****************************************************************
//   King_816                                         *
//     board_list_816.colour_figure_816[]    *
//                                   *
//****************************************************************

//	===================================================================
//     
//    
//    
void King_816(short int n,T_board_list_816 board_list_816,T_list_surplus_moves * list_surplus_moves){
short int n_1;

//   - 16         - 15     
//   + 1         + 17     
//   + 16          + 15     
//   - 1          - 17     

short int dK[]={-16,-15,1,17,16,15,-1,-17};
short int p = list_surplus_moves->amount_moves; 

for (int i=0; i<8;i++){
  n_1 = n + dK[i];
//        ,      ,
  if ((!(n_1 & 0x88))&&(board_list_816.colour_figure_816[n]!=board_list_816.colour_figure_816[n_1])){
     list_surplus_moves->name_figure[p]=6 ;
	 list_surplus_moves->initial_position[p] = n;
	 list_surplus_moves->final_position[p] = n_1;
 
	 if (board_list_816.colour_figure_816[n_1]==0){
       list_surplus_moves->description_move[p] =0;
       p=p+1;
	 }else{
	     list_surplus_moves->description_move[p] =1;
         p=p+1;
	 }//if (board_list_816.colour_figure_816[n_1]!=0){ 
  }//if ((!(n_1 & 0x88))&&(board_list_816.colour_figure_816[n]!=board_list_816.colour_figure_816[n_1])){
}//for (i=1; i<5;i++){


//   ( 3) -----------------------------------------------------------------
//  
if(n==116){
//      0-0-0
//      
if ((board_list_816.castling_Q ==1)&&(board_list_816.colour_figure_816[113]==0)&&(board_list_816.colour_figure_816[114]==0)&&(board_list_816.colour_figure_816[115]==0)){
  n_1 = 114;
     list_surplus_moves->name_figure[p]=6 ;
	 list_surplus_moves->initial_position[p] = n;
	 list_surplus_moves->final_position[p] = n_1;
  list_surplus_moves->description_move[p] =3;
  p=p+1;
}//if ((board_list_816.castling_Q ==1)&&(board_list_816.colour_figure_816[114]==0)&&(board_list_816.colour_figure_816[115]==0)&&(board_list_816.colour_figure_816[116]==0)){

//      0-0
//      
if ((board_list_816.castling_K ==1)&&(board_list_816.colour_figure_816[117]==0)&&(board_list_816.colour_figure_816[118]==0)){
  n_1 = 118;
     list_surplus_moves->name_figure[p]=6 ;
	 list_surplus_moves->initial_position[p] = n;
	 list_surplus_moves->final_position[p] = n_1;
  list_surplus_moves->description_move[p] =3;
  p=p+1;
}//if ((board_list_816.castling_K ==1)&&(board_list_816.colour_figure_816[18]==0)&&(board_list_816.colour_figure_816[19]==0)){
}//if(n==17){

//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
//  
if(n==4){
//      0-0-0
//      
if ((board_list_816.castling_q ==1)&&(board_list_816.colour_figure_816[1]==0)&&(board_list_816.colour_figure_816[2]==0)&&(board_list_816.colour_figure_816[3]==0)){
  n_1 = 2;
     list_surplus_moves->name_figure[p]=6 ;
	 list_surplus_moves->initial_position[p] = n;
	 list_surplus_moves->final_position[p] = n_1;
  list_surplus_moves->description_move[p] =3;
  p=p+1;
}//if ((board_list_816.castling_q ==1)&&(board_list_816.colour_figure_816[2]==0)&&(board_list_816.colour_figure_816[3]==0)&&(board_list_816.colour_figure_816[4]==0)){

//      0-0
//      
if ((board_list_816.castling_k ==1)&&(board_list_816.colour_figure_816[5]==0)&&(board_list_816.colour_figure_816[6]==0)){
  n_1 = 6;
     list_surplus_moves->name_figure[p]=6 ;
	 list_surplus_moves->initial_position[p] = n;
	 list_surplus_moves->final_position[p] = n_1;
  list_surplus_moves->description_move[p] =3;
  p=p+1;
}//if ((board_list_816.castling_K ==1)&&(board_list_816.colour_figure_816[18]==0)&&(board_list_816.colour_figure_816[19]==0)){
}//if(n==17){

list_surplus_moves->amount_moves=p;
}//void King_816(int n,T_board_list_816 board_list_816,T_list_surplus_moves * list_surplus_moves){
//	*******************************************************************

//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
//****************************************************************
//   Pawn_816                                         *
//     board_list_816.colour_figure_816[]    *
//                             *
//****************************************************************

//	===================================================================
//     
//    
void Pawn_816(short int n,T_board_list_816 board_list_816,T_list_surplus_moves * list_surplus_moves){
short int n_1;
short int p = list_surplus_moves->amount_moves; 
// 1   -----------------------------------------
//    
//  
if(board_list_816.colour_figure_816[n]==1){
//    
 n_1 = n - 16;
 //             
 if ((!(n_1 & 0x88))&&(board_list_816.colour_figure_816[n_1]==0)){
     list_surplus_moves->name_figure[p]=1 ;
	 list_surplus_moves->initial_position[p] = n;
	 list_surplus_moves->final_position[p] = n_1;
     list_surplus_moves->description_move[p] =0;

//   
//    4,   5,   6,   7,
	 if ((n_1/16)==0) {
	  list_surplus_moves->description_move[p] =4;
      p=p+1;
      list_surplus_moves->name_figure[p]=1 ;
	  list_surplus_moves->initial_position[p] = n;
	  list_surplus_moves->final_position[p] = n_1;
	  list_surplus_moves->description_move[p] =5;
      p=p+1;

      list_surplus_moves->name_figure[p]=1 ;
	  list_surplus_moves->initial_position[p] = n;
	  list_surplus_moves->final_position[p] = n_1;
	  list_surplus_moves->description_move[p] =6;
      p=p+1;

      list_surplus_moves->name_figure[p]=1 ;
	  list_surplus_moves->initial_position[p] = n;
	  list_surplus_moves->final_position[p] = n_1;
	  list_surplus_moves->description_move[p] =7;
	 }//if ((n_1/16)==0) {
     p=p+1;
 }//if ((n_1>0)&&(board_list_816.colour_figure_816[n_1]==0)){

 //----------------------------------------------------------------------------------
//   
 n_1 = n - 17;
 //               
 if ((!(n_1 & 0x88))&&(board_list_816.colour_figure_816[n]!=board_list_816.colour_figure_816[n_1])){
    if (board_list_816.colour_figure_816[n_1]!=0){
       list_surplus_moves->name_figure[p]=1 ;
	   list_surplus_moves->initial_position[p] = n;
	   list_surplus_moves->final_position[p] = n_1;
       list_surplus_moves->description_move[p] =1;

//     
//      8,     9,
//      10,     11,
	 if ((n_1/16)==0) {
	  list_surplus_moves->description_move[p] =8;
       p=p+1;
      list_surplus_moves->name_figure[p]=1 ;
	  list_surplus_moves->initial_position[p] = n;
	  list_surplus_moves->final_position[p] = n_1;
	  list_surplus_moves->description_move[p] =9;
      p=p+1;

      list_surplus_moves->name_figure[p]=1 ;
	  list_surplus_moves->initial_position[p] = n;
	  list_surplus_moves->final_position[p] = n_1;
	  list_surplus_moves->description_move[p] =10;
      p=p+1;

      list_surplus_moves->name_figure[p]=1 ;
	  list_surplus_moves->initial_position[p] = n;
	  list_surplus_moves->final_position[p] = n_1;
	  list_surplus_moves->description_move[p] =11;
	 }//if ((n_1/16)==0) {
       p=p+1;
	}//if ((board_list_816.colour_figure_816[n]!=board_list_816.colour_figure_816[n_1])&&(board_list_816.colour_figure_816[n_1]!=0)){
 }//if ((n_1>0)&&(board_list_816.colour_figure_816[n_1]!=3)){
 
 //----------------------------------------------------------------------------------
//   
 n_1 = n - 15;
 //               
 if ((!(n_1 & 0x88))&&(board_list_816.colour_figure_816[n]!=board_list_816.colour_figure_816[n_1])){
    if (board_list_816.colour_figure_816[n_1]!=0){
       list_surplus_moves->name_figure[p]=1 ;
	   list_surplus_moves->initial_position[p] = n;
	   list_surplus_moves->final_position[p] = n_1;
       list_surplus_moves->description_move[p] =1;
//     
//      8,     9,
//      10,     11,
	 if ((n_1/16)==0)  {
	  list_surplus_moves->description_move[p] =8;
      p=p+1;
      list_surplus_moves->name_figure[p]=1 ;
	  list_surplus_moves->initial_position[p] = n;
	  list_surplus_moves->final_position[p] = n_1;
	  list_surplus_moves->description_move[p] =9;
      p=p+1;

      list_surplus_moves->name_figure[p]=1 ;
	  list_surplus_moves->initial_position[p] = n;
	  list_surplus_moves->final_position[p] = n_1;
	  list_surplus_moves->description_move[p] =10;
      p=p+1;

      list_surplus_moves->name_figure[p]=1 ;
	  list_surplus_moves->initial_position[p] = n;
	  list_surplus_moves->final_position[p] = n_1;
	  list_surplus_moves->description_move[p] =11;
	 }//if ((n_1/16)==0) {
     p=p+1;
	}//if ((board_list_816.colour_figure_816[n]!=board_list_816.colour_figure_816[n_1])&&(board_list_816.colour_figure_816[n_1]!=0)){
 }//if ((n_1>0)&&(board_list_816.colour_figure_816[n_1]!=3)){

//----------------------------------------------------------------------------------
//     
//      
 if((n/16)==6){
 //     
   n_1 = n - 32;
 //              
   if ((!(n_1 & 0x88))&&(board_list_816.colour_figure_816[n_1]==0)&&(board_list_816.colour_figure_816[(n_1+16)]==0)){
       list_surplus_moves->name_figure[p]=1 ;
	   list_surplus_moves->initial_position[p] = n;
	   list_surplus_moves->final_position[p] = n_1;
       list_surplus_moves->description_move[p] =0;
     p=p+1;
   }//if ((n_1>0)&&(board_list_816.colour_figure_816[n_1]==0)&&(board_list_816.colour_figure_816[(n_1+16)]==0)){
 }// if((1+(n/16))==7){

//----------------------------------------------------------------------------------
//   
//     

 if(board_list_816.taking_passage_yes == 1){
//     
     n_1 = 16*board_list_816.taking_passage_y+board_list_816.taking_passage_x;
//             
	 if(((n-n_1)== 15)||((n-n_1)== 17)){
	   list_surplus_moves->name_figure[p]=1 ;
	   list_surplus_moves->initial_position[p] = n;
	   list_surplus_moves->final_position[p] = n_1;
       list_surplus_moves->description_move[p] =2;
       p=p+1;
	 }//if(((n-n_1)== 15)||((n-n_1)== 17)){
 }//if(board_list_816->taking_passage_yes == 1){

}//if(board_list_816.colour_figure_816[n]==1){

//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
//  
if(board_list_816.colour_figure_816[n]==2){

//    
 n_1 = n + 16;
 //             
 if ((!(n_1 & 0x88))&&(board_list_816.colour_figure_816[n_1]==0)){
     list_surplus_moves->name_figure[p]=1 ;
	 list_surplus_moves->initial_position[p] = n;
	 list_surplus_moves->final_position[p] = n_1;
     list_surplus_moves->description_move[p] =0;

//   
//    4,   5,   6,   7,
   if ((n_1/16)==7)  {
	  list_surplus_moves->description_move[p] =4;
      p=p+1;
      list_surplus_moves->name_figure[p]=1 ;
	  list_surplus_moves->initial_position[p] = n;
	  list_surplus_moves->final_position[p] = n_1;
	  list_surplus_moves->description_move[p] =5;
      p=p+1;

      list_surplus_moves->name_figure[p]=1 ;
	  list_surplus_moves->initial_position[p] = n;
	  list_surplus_moves->final_position[p] = n_1;
	  list_surplus_moves->description_move[p] =6;
      p=p+1;

      list_surplus_moves->name_figure[p]=1 ;
	  list_surplus_moves->initial_position[p] = n;
	  list_surplus_moves->final_position[p] = n_1;
	  list_surplus_moves->description_move[p] =7;
	 }//if ((n_1/16)==7) {
     p=p+1;
 }//if ((n_1>0)&&(board_list_816.colour_figure_816[n_1]==0)){

 //----------------------------------------------------------------------------------
//    
 n_1 = n + 17;
 //               
 if ((!(n_1 & 0x88))&&(board_list_816.colour_figure_816[n]!=board_list_816.colour_figure_816[n_1])){
    if (board_list_816.colour_figure_816[n_1]!=0){
       list_surplus_moves->name_figure[p]=1 ;
	   list_surplus_moves->initial_position[p] = n;
	   list_surplus_moves->final_position[p] = n_1;
       list_surplus_moves->description_move[p] =1;
//     
//      8,     9,
//      10,     11,
	 if ((n_1/16)==7)  {
	  list_surplus_moves->description_move[p] =8;
      p=p+1;
      list_surplus_moves->name_figure[p]=1 ;
	  list_surplus_moves->initial_position[p] = n;
	  list_surplus_moves->final_position[p] = n_1;
	  list_surplus_moves->description_move[p] =9;
      p=p+1;

      list_surplus_moves->name_figure[p]=1 ;
	  list_surplus_moves->initial_position[p] = n;
	  list_surplus_moves->final_position[p] = n_1;
	  list_surplus_moves->description_move[p] =10;
      p=p+1;

      list_surplus_moves->name_figure[p]=1 ;
	  list_surplus_moves->initial_position[p] = n;
	  list_surplus_moves->final_position[p] = n_1;
	  list_surplus_moves->description_move[p] =11;
	 }//if ((n_1/16)==7) {
     p=p+1;
	}//if ((board_list_816.colour_figure_816[n]!=board_list_816.colour_figure_816[n_1])&&(board_list_816.colour_figure_816[n_1]!=0)){
 }//if ((n_1>0)&&(board_list_816.colour_figure_816[n_1]!=3)){
 
 //----------------------------------------------------------------------------------
//   
 n_1 = n + 15;
 //               
 if ((!(n_1 & 0x88))&&(board_list_816.colour_figure_816[n]!=board_list_816.colour_figure_816[n_1])){
    if (board_list_816.colour_figure_816[n_1]!=0){
       list_surplus_moves->name_figure[p]=1 ;
	   list_surplus_moves->initial_position[p] = n;
	   list_surplus_moves->final_position[p] = n_1;
       list_surplus_moves->description_move[p] =1;
//     
//      8,     9,
//      10,     11,
	 if ((n_1/16)==7)  {
	  list_surplus_moves->description_move[p] =8;
      p=p+1;
      list_surplus_moves->name_figure[p]=1 ;
	  list_surplus_moves->initial_position[p] = n;
	  list_surplus_moves->final_position[p] = n_1;
	  list_surplus_moves->description_move[p] =9;
      p=p+1;

      list_surplus_moves->name_figure[p]=1 ;
	  list_surplus_moves->initial_position[p] = n;
	  list_surplus_moves->final_position[p] = n_1;
	  list_surplus_moves->description_move[p] =10;
      p=p+1;

      list_surplus_moves->name_figure[p]=1 ;
	  list_surplus_moves->initial_position[p] = n;
	  list_surplus_moves->final_position[p] = n_1;
	  list_surplus_moves->description_move[p] =11;
	 }//if ((n_1/16)==7) {
     p=p+1;
	}//if ((board_list_816.colour_figure_816[n]!=board_list_816.colour_figure_816[n_1])&&(board_list_816.colour_figure_816[n_1]!=0)){
 }//if ((n_1>0)&&(board_list_816.colour_figure_816[n_1]!=3)){

//----------------------------------------------------------------------------------
//     
//      
 if((n/16)==1){
 //     
   n_1 = n + 32;
 //              
   if ((!(n_1 & 0x88))&&(board_list_816.colour_figure_816[n_1]==0)&&(board_list_816.colour_figure_816[(n_1-16)]==0)){
       list_surplus_moves->name_figure[p]=1 ;
	   list_surplus_moves->initial_position[p] = n;
	   list_surplus_moves->final_position[p] = n_1;
       list_surplus_moves->description_move[p] =0;
     p=p+1;
   }//if ((n_1>0)&&(board_list_816.colour_figure_816[n_1]==0)&&(board_list_816.colour_figure_816[(n_1+16)]==0)){
 }// if((1+(n/16))==7){

//----------------------------------------------------------------------------------
//   
//     
 if(board_list_816.taking_passage_yes == 1){
      n_1 = 16*board_list_816.taking_passage_y+board_list_816.taking_passage_x;
	 if(((n-n_1)== -15)||((n-n_1)== -17)){
	   list_surplus_moves->name_figure[p]=1 ;
	   list_surplus_moves->initial_position[p] = n;
	   list_surplus_moves->final_position[p] = n_1;
       list_surplus_moves->description_move[p] =2;
       p=p+1;
	 }//if(((n-n_1)== -15)||((n-n_1)== -17)){

 }//if(board_list_816.taking_passage_yes == 1){


}//if(board_list_816.colour_figure_816[n]==2){

list_surplus_moves->amount_moves=p;
}//Pawn_816(int n,T_board_list_816 board_list_816,T_list_surplus_moves * list_surplus_moves){
//	*******************************************************************


